# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.StructureMergeViewerFilter

Packages that use StructureMergeViewerFilter
Package
Description
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

## Uses of StructureMergeViewerFilter in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return StructureMergeViewerFilter
Modifier and Type
Method
Description
`StructureMergeViewerFilter`
EMFCompareConfiguration.`getStructureMergeViewerFilter()`

## Uses of StructureMergeViewerFilter in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type StructureMergeViewerFilter
Modifier
Constructor
Description
``
`CompareToolBar(org.eclipse.jface.action.ToolBarManager toolbarManager, StructureMergeViewerGrouper viewerGrouper, StructureMergeViewerFilter viewerFilter, EMFCompareConfiguration compareConfiguration)`

## Uses of StructureMergeViewerFilter in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return StructureMergeViewerFilter
Modifier and Type
Method
Description
`StructureMergeViewerFilter`
IEMFCompareConfiguration.`getStructureMergeViewerFilter()`

## Uses of StructureMergeViewerFilter in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type StructureMergeViewerFilter
Modifier
Constructor
Description
``
`FilterAction(String text, StructureMergeViewerFilter structureMergeViewerFilter, IDifferenceFilter filter)`
The "default" constructor for this action.
``
`FilterActionMenu(StructureMergeViewerFilter structureMergeViewerFilter, IDifferenceFilter.Registry registry)`
Constructs our filtering menu.

## Uses of StructureMergeViewerFilter in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider with parameters of type StructureMergeViewerFilter
Modifier
Constructor
Description
``
`TreeItemProviderAdapterFactorySpec(StructureMergeViewerFilter filter)`
Constructor.
``
`TreeNodeItemProviderSpec(AdapterFactory adapterFactory, StructureMergeViewerFilter structureMergeViewerFilter)`
This constructs an instance from a factory.